## alphacolor

alphacolor — ARGB from/to AYUV colorspace conversion preserving the alpha channel

## Types and Values

struct | GstAlphaColor

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstVideoFilter
                            ╰── GstAlphaColor

## Description

The alphacolor element does memory-efficient (in-place) colourspace conversion from RGBA to AYUV or AYUV to RGBA while preserving the alpha channel.

Sample pipeline:

    1
    2

    gst-launch-1.0 videotestsrc ! "video/x-raw,format=(fourcc)AYUV" ! \
      alphacolor ! videoconvert ! autovideosink

## Functions

## Types and Values

### struct GstAlphaColor

    struct GstAlphaColor;